Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.io.cache
Class CacheEntry

    java.lang.Object
      com.servingxml.io.cache.CacheEntry

    public class CacheEntry

extends java.lang.Object

Implements an intrusive linked list entry for cache entries

Constructor Summary
`CacheEntry(java.lang.Object key, java.lang.Object data, Expirable expirable, RevalidationType revalidationType, CacheDictionary dictionary)` Creates a `CacheEntry` object

Method Summary
`CacheDictionary` | `getCacheDictionary()`
`int` | `getCount()` Returns the hit count
`java.lang.Object` | `getData()`
`Expirable` | `getExpirable()`
`java.lang.Object` | `getKey()`
`long` | `getLastAccessed()` Returns the last accessed time (in milliseconds)
`CacheEntry` | `getNext()` Gets the next entry in the list
`CacheEntry` | `getPrev()` Gets the previous entry in the list
`RevalidationType` | `getRevalidationType()`
`boolean` | `hasExpired()` Invalidates the resource state
`void` | `setNext(CacheEntry entry)` Sets the next entry in the list
`void` | `setPrev(CacheEntry entry)` Sets the previous entry in the list
`void` | `updateStatistics()` Updates the last accessed time and hit count

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheEntry

    public CacheEntry(java.lang.Object key,
                      java.lang.Object data,
                      Expirable expirable,
                      RevalidationType revalidationType,
                      CacheDictionary dictionary)

  Creates a `CacheEntry` object

Method Detail

### getNext

    public CacheEntry getNext()

  Gets the next entry in the list

### getPrev

    public CacheEntry getPrev()

  Gets the previous entry in the list

### setPrev

    public void setPrev(CacheEntry entry)

  Sets the previous entry in the list

### setNext

    public void setNext(CacheEntry entry)

  Sets the next entry in the list

### getKey

    public java.lang.Object getKey()

### getData

    public java.lang.Object getData()

### getExpirable

    public Expirable getExpirable()

### getRevalidationType

    public RevalidationType getRevalidationType()

### getCacheDictionary

    public CacheDictionary getCacheDictionary()

### updateStatistics

    public final void updateStatistics()

  Updates the last accessed time and hit count

### getCount

    public final int getCount()

  Returns the hit count

### getLastAccessed

    public final long getLastAccessed()

  Returns the last accessed time (in milliseconds)

### hasExpired

    public boolean hasExpired()

  Invalidates the resource state

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD